<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
        name="%CORR_PLUGIN_NAME"
        id="custom.mycorengine"
        version="3.0.0"
        provider-name="%CORR_PROVIDER_NAME">

        <runtime>
                <library name="corengine.jar">
                </library>
        </runtime>

        <requires>
		        <import plugin="org.eclipse.core.runtime.compatibility"/>
                <import plugin="org.eclipse.emf.common"/>
                <import plugin="org.eclipse.hyades.models.hierarchy"/>
                <import plugin="org.eclipse.hyades.models.cbe"/>
                <import plugin="org.eclipse.hyades.logc"/>
        </requires>

        <!-- ===================================================== -->
        <!-- Contribute to the logInteractionView extension point. -->
        <!-- ===================================================== -->
        <extension
                point="org.eclipse.hyades.logc.logInteractionView">
                <view
                        log_types="%LOG_TYPES"
                        name="%CORR_NAME"
                        description="%CORR_DESC">

                        <LogRecordFilter
                                log_type="%LOG_TYPE_SIMPLE"
                                class="SimpleParserFilter">
                        </LogRecordFilter>

                        <LogRecordCorrelationEngine
                                class="MyCorEngine">
                        </LogRecordCorrelationEngine>
                </view>
        </extension>

</plugin>